#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long N,L,H[1000],i,br=0;

    scanf("%lld%lld",&N,&L);

    for(i=1;i<=N;i++)
    scanf("%lld",&H[i]);

    i=0;
    while(i!=N){
        if(H[i]>L)
            br++;
        else
            if(H[i]<=L)
            break;
        i++;
    }

    if(br==N)
        printf("-1\n");
    else
    printf("%lld\n",br);

    return 0;
}